<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Neraca</title>
    <style type="text/css">
        .table-borderless td {
            border: none !important;
        }
    </style>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar/sidebar_journal::sidebar_journal" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow-lg">
                    <div class="card-header">
                        <h5>Neraca</h5>
                    </div>
                    <div class="card-body">
                        <form action="">
                            <div class="row mb-2">
                                <div class="col-md-4">
                                    <label>Tanggal Mulai</label>
                                    <input type="date" name="startDate" th:value="${startDate}" class="form-control">
                                </div>
                                <div class="col-md-4">
                                    <label>Tanggal Akhir</label>
                                    <input type="date" name="endDate" th:value="${endDate}" class="form-control">
                                </div>
                                <div class="col-md-4">
                                    <label>Institut</label>
                                    <select name="institut" id="select" multiple="multiple" class="form-select">
                                        <option th:each="data, row:${institut}"
                                                th:text="${data.namaInstitut}"
                                                th:value="${data.id}"></option>
                                    </select>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary">Search</button>
                                </div>
                            </div>
                        </form>

                        <div class="col-md-12 text-end mb-4" th:if="${institutParams != null}">
                            <a th:href="@{/neraca/export-excel(startDate=${startDate}, endDate=${endDate}, institut=${institutParams})}"
                               class="btn btn-outline-success">
                                Download Laporan
                            </a>
                        </div>


                        <table class="table table-borderless">
                            <tbody>
                            <!-- Kategori AKTIVA -->
                            <tr>
                                <td><b>AKTIVA</b></td>
                                <td class="text-right"></td>
                            </tr>
                            <tr th:each="data : ${listData}" th:if="${#strings.startsWith(data.getCode(), '1')}"
                                th:with="indent=(${#strings.length(data.getCode()) - #strings.length(#strings.replace(data.getCode(), '.', ''))} * 20)">
                                <td>
                <span th:style="'padding-left: ' + ${indent} + 'px'">
                    <b th:if="${#strings.length(data.getCode()) == 6}" th:text="${data.getCode() + ' ' + data.getName()}"></b>
                    <span th:unless="${#strings.length(data.getCode()) == 6}" th:text="${data.getCode() + ' ' + data.getName()}"></span>
                </span>
                                </td>
                                <td class="text-right">
                                    <span th:text="${#numbers.formatDecimal(data.getNeracaDebet(), 1, 'COMMA', 2, 'POINT')}"></span>
                                </td>
                            </tr>

                            <!-- Kategori PASIVA -->
                            <tr>
                                <td><b>PASIVA</b></td>
                                <td class="text-right"></td>
                            </tr>
                            <tr th:each="data : ${listData}" th:if="${#strings.startsWith(data.getCode(), '2')}"
                                th:with="indent=(${#strings.length(data.getCode()) - #strings.length(#strings.replace(data.getCode(), '.', ''))} * 20)">
                                <td>
                <span th:style="'padding-left: ' + ${indent} + 'px'">
                    <b th:if="${#strings.length(data.getCode()) == 6}" th:text="${data.getCode() + ' ' + data.getName()}"></b>
                    <span th:unless="${#strings.length(data.getCode()) == 6}" th:text="${data.getCode() + ' ' + data.getName()}"></span>
                </span>
                                </td>
                                <td class="text-right">
                                    <span th:text="${#numbers.formatDecimal(data.getNeracaKredit(), 1, 'COMMA', 2, 'POINT')}"></span>
                                </td>
                            </tr>

                            <!-- Kategori EQUITY -->
                            <tr>
                                <td><b>EQUITY</b></td>
                                <td class="text-right"></td>
                            </tr>
                            <tr th:each="data : ${listData}" th:if="${#strings.startsWith(data.getCode(), '3')}"
                                th:with="indent=(${#strings.length(data.getCode()) - #strings.length(#strings.replace(data.getCode(), '.', ''))} * 20)">
                                <td>
                <span th:style="'padding-left: ' + ${indent} + 'px'">
                    <b th:if="${#strings.length(data.getCode()) == 6}" th:text="${data.getCode() + ' ' + data.getName()}"></b>
                    <span th:unless="${#strings.length(data.getCode()) == 6}" th:text="${data.getCode() + ' ' + data.getName()}"></span>
                </span>
                                </td>
                                <td class="text-right">
                                    <span th:text="${#numbers.formatDecimal(data.getNeracaKredit(), 1, 'COMMA', 2, 'POINT')}"></span>
                                </td>
                            </tr>
                            </tbody>
                        </table>

                    </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
<div layout:fragment="footer" class="script">
    <script>
        $('#select').select2({
            theme: 'bootstrap-5',
            placeholder: '- Pilih Institusi -'
        });
    </script>
</div>
</body>
</html>